<?php
require_once "../vendor/autoload.php";

use App\DTO\UserRegistrationDto;
use App\DTO\Validation\Validator;

/**Accept only post request to root url */
if($_SERVER['REQUEST_URI'] == '/' && $_SERVER['REQUEST_METHOD'] == "POST")
{
  //send json response
  header('Content-Type: application/json');
  
  //Get post request data
  $username = $_POST['username'] ?? '';
  $email = $_POST['email'] ?? '';

  //Create DTO
  $userRegistrationDto = new UserRegistrationDto($username, $email);

  //Validate DTO
  $validator = new Validator();
  $validator->validate($userRegistrationDto);
  
  //JSON encode DTO Errors
  $result = json_encode($validator->getErrors());
  echo $result;

}else{
  echo "Welcome to PHP ATTRIBUTE example";
}

